Listar Vendas
curl --request GET \
--url https://api.spedy.com.br/v1/orders \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.spedy.com.br/v1/orders"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.spedy.com.br/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "<string>",
"date": "2023-11-07T05:31:56Z",
"customer": {
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legalName": "<string>",
"federalTaxNumber": "<string>",
"cityTaxNumber": "<string>",
"stateTaxNumber": "<string>",
"email": "<string>",
"phone": "<string>",
"mobilePhone": "<string>",
"address": {
"street": "<string>",
"district": "<string>",
"postalCode": "<string>",
"number": "<string>",
"additionalInformation": "<string>",
"city": {
"code": "<string>",
"name": "<string>",
"state": "ro"
},
"country": {
"name": "<string>",
"code": 123
},
"cityName": "<string>"
}
},
"amount": 123,
"status": "created",
"profileType": "producer",
"sourcePlatform": "spedy"
}Vendas
Listar Vendas
Lista as vendas da empresa, com paginação e filtros.
GET
/
v1
/
orders
Listar Vendas
Authorizations
Authorization By X-Api-Key inside request's header
Query Parameters
Data inicial da venda
Data final da venda
Código da Transação
Response
Success
ID da Venda
Código da Transação
Data da venda
Cliente
Show child attributes
Show child attributes
Valor total da venda
Situação da venda
Valores possíveis:
- created: Criado
- awaitingPayment: Aguardando pagamento
- approved: Aprovado
- refundRequested: Reembolso solicitado
- completed: Concluído
- chargeback: Chargeback
- canceled: Cancelado
- refunded: Reembolsado
- expired: Vencido
- refused: Recusado
- deleted: Deletado
Available options:
created, awaitingPayment, approved, refundRequested, completed, chargeback, canceled, refunded, expired, refused, deleted Perfil
Valores possíveis:
- producer: Produtor
- coproducer: Coprodutor
- affiliate: Afiliado
Available options:
producer, coproducer, affiliate Plataforma
Valores possíveis:
- spedy: Spedy
- hotmart: Hotmart
- monetizze: Monetizze
- eduzz: Eduzz
- braip: Braip
- shopify: Shopify
- iugu: Iugu
- pagarme: Pagar.me
- kiwify: Kiwify
- mercadoPago: Mercado Pago
- yampi: Yampi
- nuvemshop: Nuvemshop
- cartpanda: Cartpanda
- stripe: Stripe
- perfectPay: PerfectPay
- evermart: Evermart
- cyclopay: Cyclopay
- greenn: Greenn
- woocommerce: WooCommerce
- afiliaPay: AfiliaPay
- blueticket: Blueticket
- abmex: Abmex
- asaas: Asaas
- doppus: Doppus
- dooca: Dooca
- vindi: Vindi
- guru: Guru
- ticto: Ticto
- eADPlataforma: EAD Plataforma
- provi: Provi
- blitzPay: BlitzPay
- payt: Payt
- eventiza: Eventiza
- pepper: Pepper
- appMax: AppMax
- voomp: Voomp
- xgrow: Xgrow
- kirvano: Kirvano
- theMart: The Mart
- hubla: Hubla
- payPal: PayPal
- tMB: TMB
- lastlink: Lastlink
- vega: Vega
- doppusV2: Doppus V2
- cakto: Cakto
- wix: Wix
- wBuy: WBuy
- pepperV2: Pepper V2
- neonPay: NeonPay
- assiny: Assiny
- pagTrust: PagTrust
- wiapy: Wiapy
- onProfit: OnProfit
- edunext: Edunext
- yampiV2: Yampi V2
- yever: Yever
- tikTokShop: TikTok Shop
- luna: Luna
- bilion: Bilion
- shopee: Shopee
- b4you: B4you
- vegaV2: Vega V2
- domPagamentos: Dom Pagamentos
- neofin: Neofin
- pagBank: PagBank
- lia: Lia
- yuno: Yuno
- theMembers: The Members
- digistore24: Digistore24
- heroSpark: HeroSpark
- woovi: Woovi
- zouti: Zouti
- eduzzV4: EduzzV4
- stripeV2: StripeV2
- shopeeAffiliate: Shopee Afiliados
- firePay: FirePay
- abacatePay: AbacatePay
- syncPay: SyncPay
Available options:
spedy, hotmart, monetizze, eduzz, braip, shopify, iugu, pagarme, kiwify, mercadoPago, yampi, nuvemshop, cartpanda, stripe, perfectPay, evermart, cyclopay, greenn, woocommerce, afiliaPay, blueticket, abmex, asaas, doppus, dooca, vindi, guru, ticto, eadPlataforma, provi, blitzPay, payt, eventiza, pepper, appMax, voomp, xgrow, kirvano, theMart, hubla, payPal, tmb, lastlink, vega, doppusV2, cakto, wix, wBuy, pepperV2, neonPay, assiny, pagTrust, wiapy, onProfit, edunext, yampiV2, yever, tikTokShop, luna, bilion, shopee, b4you, vegaV2, domPagamentos, neofin, pagBank, lia, yuno, theMembers, digistore24, heroSpark, woovi, zouti, eduzzV4, stripeV2, shopeeAffiliate, firePay, abacatePay, syncPay